import { y as defineEventHandler, b0 as useLogger, aa as getRouterParam, E as Event, v as createError, aE as readBody } from '../../../../nitro/nitro.mjs';
import { a as requireSessionRole } from '../../../../_/session.mjs';
import 'luxon';
import '@sequelize/core';
import 'html-to-text';
import 'zod';
import 'crypto';
import 'node:fs';
import 'sharp';
import 'path';
import 'node:stream';
import 'jsdom';
import 'dompurify';
import 'mime-types';
import 'fs';
import 'fs/promises';
import 'linkify-html';
import '@peertube/http-signature';
import 'jsonld';
import 'lodash.intersection';
import 'email-templates';
import 'node:http';
import 'node:https';
import 'node:crypto';
import 'node:events';
import 'node:buffer';
import 'node:path';
import 'vue';
import 'vue-router';
import 'dotenv';
import 'url';
import 'bcryptjs';
import 'slugify';
import 'umzug';
import 'consola';
import '@sequelize/core/decorators-legacy';
import 'util';
import 'mitt';
import 'ical.js';
import 'node:url';
import 'fast-xml-parser';
import '../../../../_/getUser.mjs';
import '../../../../_/jwt.mjs';
import 'jose';

const assign_to_author_put = defineEventHandler(async (evt) => {
  const log = useLogger("event:assign_to_author");
  const id = getRouterParam(evt, "id");
  await requireSessionRole(evt, ["editor", "admin"]);
  const event = await Event.findByPk(id);
  if (!event) {
    log.warn(`Not found ${id}`);
    throw createError({ statusCode: 404 });
  }
  const { userId } = await readBody(evt);
  return event.update({ userId });
});

export { assign_to_author_put as default };
